#
# spec file for package timewarrior
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           timewarrior
Version:        1.4.2
Release:        bp154.1.20
Summary:        Command line time tracker
License:        MIT
Group:          Productivity/Office/Organizers
URL:            http://taskwarrior.org/docs/timewarrior/
Source:         https://github.com/GothenburgBitFactory/timewarrior/releases/download/v%{version}/timew-%{version}.tar.gz
Patch0:         timewarrior-build-compare.patch
BuildRequires:  cmake >= 2.8
BuildRequires:  gcc-c++ >= 4.7

%description
Timewarrior is a command line time tracking application, which allows you to
record time spent on activities.

%prep
%setup -q -n timew-%{version}
%patch0 -p1

%build
%cmake \
	-DTIMEW_DOCDIR=%{_datadir}/%{name} \
	.
%cmake_build

%install
%cmake_install
pushd %{buildroot}%{_datadir}/%{name}
rm -fv AUTHORS ChangeLog COPYING INSTALL LICENSE NEWS README.md
chmod -v a+x ext/*
popd

%files
%license LICENSE
%doc ChangeLog AUTHORS README.md
%{_bindir}/timew
%{_mandir}/man1/timew.*
%{_mandir}/man1/timew-*
%{_mandir}/man7/timew-*
%{_datadir}/%{name}

%changelog
* Thu Dec 17 2020 Michael Bryant <shadow53@shadow53.com> - 1.4.2
- Removed missing doc files from specfile
- Update to 1.4.2, skipping over 1.3.0, 1.4.0, 1.4.1
  * #377    make install with error due to missing file `COPYING`
  * #378    Summary with `:all` hint is empty for open interval
  * #126    DOM-Query for ids
  * #188    DOM-Query for tags
  * #206    Add :all hint
  * #241    Allow continue by tag.
  * #258    make error FS.cpp on freebsd 12.1
  * #307    Introduce 'journal.size' configuration item
  * #309    unicode input causes indefinite hang for commands like day or month
  * #331    start command adjust
  * #333    Summary command fails with `:all` hint
  * #335    Update docs links from taskwarrior.org to timewarrior.net
  * #351    Stop failed to close currently tracking interval
  * #364    Entering an open interval with future date causes assertion error
  * #372    Empty intervals are not deleted in `:adjust` overlap resolution
  * #259    Migrate to python 3
  * #270    Stop with id should suggest modify command
  * #275    Change `timew help intervals` to `timew help ranges` in help summary
  * #278    New hint :fortnight added
  * #284    tags.data modification date updated when file is not modified
  * #285    Pass record id to extensions
  * #290    trying to track something that would be before epoch fails silently, corrupting database
  * #293    filtering by tag can produce wrong ids
  * #298    Add current version of bash-completion
* Thu Feb  6 2020 Ondřej Súkup <mimi.vx@gmail.com>
- cleanup specfile
* Thu Dec 26 2019 Jaime Marquínez Ferrándiz <jaime.marquinez.ferrandiz@fastmail.net>
- Update to 1.2.0. Full changelog available at https://github.com/GothenburgBitFactory/timewarrior/blob/1.2.0/ChangeLog
- Changed source url to GitHub
* Mon Mar 18 2019 Michal Vyskocil <mvyskocil@opensuse.org>
-  Update to 1.1.1
  - Taskwarrior integration hook now uses a project 'Home.Garden' as a single
    tag 'Home.Garden' as well as individual 'Home', 'Garden' tags.
  - Taskwarrior integration hook now stops the clock in more situations, such
    as deleting or waiting a task.
  - The 'tags' command now supports filters.
  - New date names supported (see 'timew help date' or 'man timew').
  - Timewarrior and Taskwarrior now use the same date handling.
  - The 'continue' command can resume tracking by @id.
  - When specifying a time without a date (e.g. '10:00am'), the day is assumed
    to be today, and is no longer projected back in time.
* Wed Nov  9 2016 olaf@aepfle.de
- Initial version 1.0.0
  timewarrior-build-compare.patch
